org.apache.activemq.artemis.jms.server.config

## Interface ConnectionFactoryConfiguration

- All Superinterfaces:
    org.apache.activemq.artemis.core.journal.EncodingSupport
  All Known Implementing Classes:
    ConnectionFactoryConfigurationImpl

      public interface ConnectionFactoryConfiguration
      extends org.apache.activemq.artemis.core.journal.EncodingSupport

  A ConnectionFactoryConfiguration for `ConnectionFactory` objects.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getBindings()`
    `long` | `getCallFailoverTimeout()`
    `long` | `getCallTimeout()`
    `long` | `getClientFailureCheckPeriod()`
    `String` | `getClientID()`
    `int` | `getConfirmationWindowSize()`
    `long` | `getConnectionTTL()`
    `List<String>` | `getConnectorNames()`
    `int` | `getConsumerMaxRate()`
    `int` | `getConsumerWindowSize()`
    `String` | `getDeserializationBlackList()`
    `String` | `getDeserializationWhiteList()`
    `String` | `getDiscoveryGroupName()`
    `int` | `getDupsOKBatchSize()`
    `JMSFactoryType` | `getFactoryType()`
    `String` | `getGroupID()`
    `String` | `getLoadBalancingPolicyClassName()`
    `long` | `getMaxRetryInterval()`
    `int` | `getMinLargeMessageSize()`
    `String` | `getName()`
    `int` | `getProducerMaxRate()`
    `int` | `getProducerWindowSize()`
    `String` | `getProtocolManagerFactoryStr()`
    `int` | `getReconnectAttempts()`
    `long` | `getRetryInterval()`
    `double` | `getRetryIntervalMultiplier()`
    `int` | `getScheduledThreadPoolMaxSize()`
    `int` | `getThreadPoolMaxSize()`
    `int` | `getTransactionBatchSize()`
    `boolean` | `isAutoGroup()`
    `boolean` | `isBlockOnAcknowledge()`
    `boolean` | `isBlockOnDurableSend()`
    `boolean` | `isBlockOnNonDurableSend()`
    `boolean` | `isCacheLargeMessagesClient()`
    `boolean` | `isCompressLargeMessages()`
    `boolean` | `isFailoverOnInitialConnection()`
    `boolean` | `isHA()`
    `boolean` | `isPersisted()`
    `boolean` | `isPreAcknowledge()`
    `boolean` | `isUseGlobalPools()`
    `ConnectionFactoryConfiguration` | `setAutoGroup(boolean autoGroup)`
    `ConnectionFactoryConfiguration` | `setBindings(String... bindings)`
    `ConnectionFactoryConfiguration` | `setBlockOnAcknowledge(boolean blockOnAcknowledge)`
    `ConnectionFactoryConfiguration` | `setBlockOnDurableSend(boolean blockOnDurableSend)`
    `ConnectionFactoryConfiguration` | `setBlockOnNonDurableSend(boolean blockOnNonDurableSend)`
    `ConnectionFactoryConfiguration` | `setCacheLargeMessagesClient(boolean cacheLargeMessagesClient)`
    `ConnectionFactoryConfiguration` | `setCallFailoverTimeout(long callFailoverTimeout)`
    `ConnectionFactoryConfiguration` | `setCallTimeout(long callTimeout)`
    `ConnectionFactoryConfiguration` | `setClientFailureCheckPeriod(long clientFailureCheckPeriod)`
    `ConnectionFactoryConfiguration` | `setClientID(String clientID)`
    `ConnectionFactoryConfiguration` | `setCompressLargeMessages(boolean avoidLargeMessages)`
    `ConnectionFactoryConfiguration` | `setConfirmationWindowSize(int confirmationWindowSize)`
    `ConnectionFactoryConfiguration` | `setConnectionTTL(long connectionTTL)`
    `ConnectionFactoryConfiguration` | `setConnectorNames(List<String> connectorNames)`
    `ConnectionFactoryConfiguration` | `setConnectorNames(String... connectorNames)`
    `ConnectionFactoryConfiguration` | `setConsumerMaxRate(int consumerMaxRate)`
    `ConnectionFactoryConfiguration` | `setConsumerWindowSize(int consumerWindowSize)`
    `void` | `setDeserializationBlackList(String blackList)`
    `void` | `setDeserializationWhiteList(String whiteList)`
    `ConnectionFactoryConfiguration` | `setDiscoveryGroupName(String discoveryGroupName)`
    `ConnectionFactoryConfiguration` | `setDupsOKBatchSize(int dupsOKBatchSize)`
    `ConnectionFactoryConfiguration` | `setFactoryType(JMSFactoryType factType)`
    `ConnectionFactoryConfiguration` | `setFailoverOnInitialConnection(boolean failover)`
    `ConnectionFactoryConfiguration` | `setGroupID(String groupID)`
    `ConnectionFactoryConfiguration` | `setHA(boolean ha)`
    `ConnectionFactoryConfiguration` | `setLoadBalancingPolicyClassName(String loadBalancingPolicyClassName)`
    `ConnectionFactoryConfiguration` | `setMaxRetryInterval(long maxRetryInterval)`
    `ConnectionFactoryConfiguration` | `setMinLargeMessageSize(int minLargeMessageSize)`
    `ConnectionFactoryConfiguration` | `setName(String name)`
    `ConnectionFactoryConfiguration` | `setPreAcknowledge(boolean preAcknowledge)`
    `ConnectionFactoryConfiguration` | `setProducerMaxRate(int producerMaxRate)`
    `ConnectionFactoryConfiguration` | `setProducerWindowSize(int producerWindowSize)`
    `ConnectionFactoryConfiguration` | `setProtocolManagerFactoryStr(String protocolManagerFactoryStr)`
    `ConnectionFactoryConfiguration` | `setReconnectAttempts(int reconnectAttempts)`
    `ConnectionFactoryConfiguration` | `setRetryInterval(long retryInterval)`
    `ConnectionFactoryConfiguration` | `setRetryIntervalMultiplier(double retryIntervalMultiplier)`
    `ConnectionFactoryConfiguration` | `setScheduledThreadPoolMaxSize(int scheduledThreadPoolMaxSize)`
    `ConnectionFactoryConfiguration` | `setThreadPoolMaxSize(int threadPoolMaxSize)`
    `ConnectionFactoryConfiguration` | `setTransactionBatchSize(int transactionBatchSize)`
    `ConnectionFactoryConfiguration` | `setUseGlobalPools(boolean useGlobalPools)`

    - ### Methods inherited from interface org.apache.activemq.artemis.core.journal.EncodingSupport

      `decode, encode, getEncodeSize`

- - ### Method Detail

    - #### isPersisted

          boolean isPersisted()

    - #### getName

          String getName()

    - #### setName

          ConnectionFactoryConfiguration setName(String name)

    - #### getBindings

          String[] getBindings()

    - #### setBindings

          ConnectionFactoryConfiguration setBindings(String... bindings)

    - #### getDiscoveryGroupName

          String getDiscoveryGroupName()

    - #### setDiscoveryGroupName

          ConnectionFactoryConfiguration setDiscoveryGroupName(String discoveryGroupName)

    - #### getConnectorNames

          List<String> getConnectorNames()

    - #### setConnectorNames

          ConnectionFactoryConfiguration setConnectorNames(List<String> connectorNames)

    - #### setConnectorNames

          ConnectionFactoryConfiguration setConnectorNames(String... connectorNames)

    - #### isHA

          boolean isHA()

    - #### setHA

          ConnectionFactoryConfiguration setHA(boolean ha)

    - #### getClientID

          String getClientID()

    - #### setClientID

          ConnectionFactoryConfiguration setClientID(String clientID)

    - #### getClientFailureCheckPeriod

          long getClientFailureCheckPeriod()

    - #### setClientFailureCheckPeriod

          ConnectionFactoryConfiguration setClientFailureCheckPeriod(long clientFailureCheckPeriod)

    - #### getConnectionTTL

          long getConnectionTTL()

    - #### setConnectionTTL

          ConnectionFactoryConfiguration setConnectionTTL(long connectionTTL)

    - #### getCallTimeout

          long getCallTimeout()

    - #### setCallTimeout

          ConnectionFactoryConfiguration setCallTimeout(long callTimeout)

    - #### getCallFailoverTimeout

          long getCallFailoverTimeout()

    - #### setCallFailoverTimeout

          ConnectionFactoryConfiguration setCallFailoverTimeout(long callFailoverTimeout)

    - #### isCacheLargeMessagesClient

          boolean isCacheLargeMessagesClient()

    - #### setCacheLargeMessagesClient

          ConnectionFactoryConfiguration setCacheLargeMessagesClient(boolean cacheLargeMessagesClient)

    - #### getMinLargeMessageSize

          int getMinLargeMessageSize()

    - #### setMinLargeMessageSize

          ConnectionFactoryConfiguration setMinLargeMessageSize(int minLargeMessageSize)

    - #### isCompressLargeMessages

          boolean isCompressLargeMessages()

    - #### setCompressLargeMessages

          ConnectionFactoryConfiguration setCompressLargeMessages(boolean avoidLargeMessages)

    - #### getConsumerWindowSize

          int getConsumerWindowSize()

    - #### setConsumerWindowSize

          ConnectionFactoryConfiguration setConsumerWindowSize(int consumerWindowSize)

    - #### getConsumerMaxRate

          int getConsumerMaxRate()

    - #### setConsumerMaxRate

          ConnectionFactoryConfiguration setConsumerMaxRate(int consumerMaxRate)

    - #### getConfirmationWindowSize

          int getConfirmationWindowSize()

    - #### setConfirmationWindowSize

          ConnectionFactoryConfiguration setConfirmationWindowSize(int confirmationWindowSize)

    - #### getProducerWindowSize

          int getProducerWindowSize()

    - #### setProducerWindowSize

          ConnectionFactoryConfiguration setProducerWindowSize(int producerWindowSize)

    - #### getProducerMaxRate

          int getProducerMaxRate()

    - #### setProducerMaxRate

          ConnectionFactoryConfiguration setProducerMaxRate(int producerMaxRate)

    - #### isBlockOnAcknowledge

          boolean isBlockOnAcknowledge()

    - #### setBlockOnAcknowledge

          ConnectionFactoryConfiguration setBlockOnAcknowledge(boolean blockOnAcknowledge)

    - #### isBlockOnDurableSend

          boolean isBlockOnDurableSend()

    - #### setBlockOnDurableSend

          ConnectionFactoryConfiguration setBlockOnDurableSend(boolean blockOnDurableSend)

    - #### isBlockOnNonDurableSend

          boolean isBlockOnNonDurableSend()

    - #### setBlockOnNonDurableSend

          ConnectionFactoryConfiguration setBlockOnNonDurableSend(boolean blockOnNonDurableSend)

    - #### isAutoGroup

          boolean isAutoGroup()

    - #### setAutoGroup

          ConnectionFactoryConfiguration setAutoGroup(boolean autoGroup)

    - #### isPreAcknowledge

          boolean isPreAcknowledge()

    - #### setPreAcknowledge

          ConnectionFactoryConfiguration setPreAcknowledge(boolean preAcknowledge)

    - #### getLoadBalancingPolicyClassName

          String getLoadBalancingPolicyClassName()

    - #### setLoadBalancingPolicyClassName

          ConnectionFactoryConfiguration setLoadBalancingPolicyClassName(String loadBalancingPolicyClassName)

    - #### getTransactionBatchSize

          int getTransactionBatchSize()

    - #### setTransactionBatchSize

          ConnectionFactoryConfiguration setTransactionBatchSize(int transactionBatchSize)

    - #### getDupsOKBatchSize

          int getDupsOKBatchSize()

    - #### setDupsOKBatchSize

          ConnectionFactoryConfiguration setDupsOKBatchSize(int dupsOKBatchSize)

    - #### isUseGlobalPools

          boolean isUseGlobalPools()

    - #### setUseGlobalPools

          ConnectionFactoryConfiguration setUseGlobalPools(boolean useGlobalPools)

    - #### getScheduledThreadPoolMaxSize

          int getScheduledThreadPoolMaxSize()

    - #### setScheduledThreadPoolMaxSize

          ConnectionFactoryConfiguration setScheduledThreadPoolMaxSize(int scheduledThreadPoolMaxSize)

    - #### getThreadPoolMaxSize

          int getThreadPoolMaxSize()

    - #### setThreadPoolMaxSize

          ConnectionFactoryConfiguration setThreadPoolMaxSize(int threadPoolMaxSize)

    - #### getRetryInterval

          long getRetryInterval()

    - #### setRetryInterval

          ConnectionFactoryConfiguration setRetryInterval(long retryInterval)

    - #### getRetryIntervalMultiplier

          double getRetryIntervalMultiplier()

    - #### setRetryIntervalMultiplier

          ConnectionFactoryConfiguration setRetryIntervalMultiplier(double retryIntervalMultiplier)

    - #### getMaxRetryInterval

          long getMaxRetryInterval()

    - #### setMaxRetryInterval

          ConnectionFactoryConfiguration setMaxRetryInterval(long maxRetryInterval)

    - #### getReconnectAttempts

          int getReconnectAttempts()

    - #### setReconnectAttempts

          ConnectionFactoryConfiguration setReconnectAttempts(int reconnectAttempts)

    - #### isFailoverOnInitialConnection

          boolean isFailoverOnInitialConnection()

    - #### setFailoverOnInitialConnection

          ConnectionFactoryConfiguration setFailoverOnInitialConnection(boolean failover)

    - #### getGroupID

          String getGroupID()

    - #### setGroupID

          ConnectionFactoryConfiguration setGroupID(String groupID)

    - #### setFactoryType

          ConnectionFactoryConfiguration setFactoryType(JMSFactoryType factType)

    - #### setProtocolManagerFactoryStr

          ConnectionFactoryConfiguration setProtocolManagerFactoryStr(String protocolManagerFactoryStr)

    - #### getProtocolManagerFactoryStr

          String getProtocolManagerFactoryStr()

    - #### getFactoryType

          JMSFactoryType getFactoryType()

    - #### getDeserializationBlackList

          String getDeserializationBlackList()

    - #### setDeserializationBlackList

          void setDeserializationBlackList(String blackList)

    - #### getDeserializationWhiteList

          String getDeserializationWhiteList()

    - #### setDeserializationWhiteList

          void setDeserializationWhiteList(String whiteList)

Copyright © 2017. All rights reserved.